uniform float alpha;
uniform float radius;

void mainImage( out vec4 fragColor, in vec2 fragCoord )
{
	//vec2 uv = fragCoord.xy / iResolution.xy;
	vec2 uv = (fragCoord.xy - 0.5*iResolution.xy) / iResolution.y;

	vec2 center = vec2(0.);
    float d = length(center - uv) - radius;
	float t = smoothstep(radius * 1.01,radius,d);
    vec3 color = vec3(alpha);
	fragColor = vec4(t * color, 1.0);
}